<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
        <h:form prependId="false">
            <p:messages />
            <p:panelGrid columns="2">
                
                <p:outputLabel value="Nome:" for="nome" />
                <p:inputText id="nome" value="#{helloBean.nome}" required="true" requiredMessage="Seu cabaço!"/>
                <h:panelGroup>
                    <p:commandButton ajax="false" value="Vai!!" action="#{helloBean.vai}" />
                </h:panelGroup>
                
                
                
                
            </p:panelGrid> 
            <p:outputLabel value="#{helloBean.nome}" />
        </h:form>
    </h:body>
</html>

